FILETRAQ(8)

NAME
filetraq - keep track of changes in config files.

SYNOPSIS
filetraq --help
filetraq [filelist] [backupdir]

DESCRIPTION
This manual page documents briefly the filetraq command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

FileTraq is a shell script that reads a list of files to watch, runs diff against each file and its backup, and reports any discrepancies, along with keeping a dated backup of the original.

It's designed to be run as a cron job.

OPTIONS
This command has two possible invocations, one with one option:

--help
    Show summary of options and the default values of the config file and the backup directory.

and other with no options, a config file or a config file and the backupdir.

The script reads the /etc/default/filetraq configuration file, that lets the administrator change the default values of the config file ( file ), the backup directory ( backupdir ), the diff options used to print the filetraq output ( diffopts , e.g. -p -C 1 or -u ) and the diff order ( difforder , either newold (FileTraq default before version 0.3) or oldnew (traditional Unix default)).

SECURITY
FileTraq is not well tested or hardened. It runs as root, but all of its config files should only be accessible by root. No security holes are known at this time, but please be careful.

BUGS
Right now, it doesn't take care of its backups very well. The dated backups will accumulate in the backups directory, bounded only by diskspace.

It only handles text files, it isn't a Tripwire replacement for use with system binaries.

FILES
/etc/filetraq.conf
/etc/default/filetraq
/var/lib/filetraq

SEE ALSO
diff(1), cron(8).

AUTHOR
Jeremy Weatherford <xidus@xidus.net>
Homepage: http://filetraq.xidus.net/

This manual page was written by Sergio Talens-Oliag <sto@debian.org>, for the Debian GNU/Linux system (but may be used by others).